# Retrieve hotel dump

URL: https://docs.emergingtravel.com/docs/affiliate-api/static-content/retrieve-hotel-dump/

Tags: affiliate

---



**Sandbox**

```
https://api-sandbox.worldota.net/api/b2b/v3/hotel/info/dump/
```

**Production**

```
https://api.worldota.net/api/b2b/v3/hotel/info/dump/
```




> [!NOTE]
> <strong>The call is required</strong>.



The call gets the [dump](/docs/glossary/#dump) of all available ETG hotels as a **single archive for a single language**. The link to the archive is passed in the `url` response field. You must open the link to start the downloading. The dump format is the [Zstd](https://facebook.github.io/zstd/).

The ETG updates the data every week. To renew your local dump, use the [Retrieve hotel incremental dump](/docs/affiliate-api/static-content/retrieve-hotel-incremental-dump/) call.

> [!WARNING]
> * The dump download link you receive from the API is temporary and will expire **1 hour after being issued**. To download the dump, you must call the API method each time to obtain a fresh, valid link.
> * Any internal content such as photos, descriptions, and others <strong>can’t be indexed</strong>. It isn’t allowed.
> * Any public content such as name, address, amenities, and policies <strong>can be indexed</strong>.



## Sandbox limitations { #limitations }

* The value of the `language` field is always set to `en`.
* The `inventory` field supports the following values: `all`, `direct`, `preferable`, and `direct_fast`.
* In the sandbox dump, the number of items is always `1000`.
* For all objects containing the `currency_code` field, its value is always `EUR`.

## Request example


**Sandbox**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/hotel/info/dump/' \
--header 'Content-Type: application/json' \
--data '{
  "inventory": "all",
  "language": "en"
}'
```

**Production**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/info/dump/' \
--header 'Content-Type: application/json' \
--data '{
  "inventory": "all",
  "language": "en"
}'
```




## Request body



- **language** *(String, required)*

  <p>The language.</p>
  > [!NOTE]
  > The possible values:
  > * `ar` — Arabic.
  > * `bg` — Bulgarian.
  > * `cs` — Czech.
  > * `da` — Danish.
  > * `de` — German.
  > * `el` — Greek.
  > * `en` — English.
  > * `es` — Spanish.
  > * `fi` — Finnish.
  > * `fr` — French.
  > * `he` — Hebrew.
  > * `hu` — Hungarian.
  > * `it` — Italian.
  > * `ja` — Japanese.
  > * `kk` — Kazakh.
  > * `ko` — Korean.
  > * `nl` — Dutch.
  > * `no` — Norwegian Bokmål.
  > * `pl` — Polish.
  > * `pt` — Portuguese.
  > * `pt_PT` — European Portuguese.
  > * `ro` — Romanian.
  > * `ru` — Russian.
  > * `sq` — Albanian.
  > * `sr` — Serbian.
  > * `sv` — Swedish.
  > * `th` — Thai.
  > * `tr` — Turkish.
  > * `uk` — Ukrainian.
  > * `vi` — Vietnamese.
  > * `zh_CN` — Simplified Chinese.
  > * `zh_TW` — Traditional Chinese.


- **inventory** *(String, optional)*

  <p>The hotel list to get.</p>
  > [!NOTE]
  > * The possible values:
  >     * `all` — all available [suppliers](/docs/glossary/#supplier-types).
  >     * `direct` — [Chains](/docs/glossary/#direct-chains), [Extranet](/docs/glossary/#direct-extranet), [DMC](/docs/glossary/#destination-management-company), [Switch](/docs/glossary/#switch), [Consolidator](/docs/glossary/#consolidator), [Wholesaler](/docs/glossary/#wholesaler).
  >     * `direct_fast` — [Chains](/docs/glossary/#direct-chains), [Extranet](/docs/glossary/#direct-extranet).
  >     * `direct_fast_extended` —  [Chains](/docs/glossary/#direct-chains), [Extranet](/docs/glossary/#direct-extranet), [DMC](/docs/glossary/#destination-management-company), [Switch](/docs/glossary/#switch).
  >     * `preferable` — all sellable hotels that had at least one available rate in the last 6 months.
  >     * `top` — the 500k top hotels by their paid bookings.
  > * The default value is `all`.





## Response



- **url** *(String)*

  <p>A direct link to download the dump file.</p>


- **last_update** *(DateTime)*

  <p>The date and time when this dump was last updated (in UTC, [ISO 8601 format](https://www.iso.org/iso-8601-date-and-time-format.html)
  
  ).</p>





## Response example

```json
{
  "data": {
    "last_update": "2024-07-01T00:38:13Z",
    "url": "https://.../partner_feed_v3_en.jsonl.zst?..." // link valid for 1 hour
  },
  "debug": null,
  "error": null,
  "status": "ok"
}
```

## Dump file structure

The dump is a [Zstd](https://facebook.github.io/zstd/) archive that contains a file with a list of objects line by line:

```json
{
  "address": "Gabriele-Tergit-Promenade 19, Berlin",
  "amenity_groups": [
    {
      "amenities": [
        "Common kitchen",
        "Kitchen"
      ]
    }
  ]
},
{
  "address": "Passeig De Gracia, 68, Barcelona",
  "amenity_groups": [
    {
      "amenities": [
        "Common kitchen",
        "Kitchen"
      ]
    }
  ]
},
{
  "address": "Great Cumberland Place, London",
  "amenity_groups": [
    {
     "amenities": [
        "Cable TV",
        "Locker"
      ]
    }
  ]
}
```

### Field details

The entire dump structure is described in the response of the [Retrieve hotel content](/docs/affiliate-api/static-content/retrieve-hotel-content/#response) call.

> [!NOTE]
> To decompress the archive you can use, for example, a [Zstandard plugin](https://formulae.brew.sh/formula/zstd) or [7-zip archive manager with Zstandard](https://mcmilk.de/projects/7-Zip-zstd/).



## Errors

The `error` field has the value specified in the headers below.

### `dump_not_ready`

The dump is being updated. Try to download the archive later.
